- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions | Friends

# QTextListFormat Class Reference

Search for all occurrences

## Detailed Description

Definition at line 593 of file qtextformat.h.

`#include <qtextformat.h>`

Inheritance diagram for QTextListFormat:
[legend]

List of all members.

## Public Types
enum | Style { ListDisc = -1, ListCircle = -2, ListSquare = -3, ListDecimal = -4, ListLowerAlpha = -5, ListUpperAlpha = -6, ListLowerRoman = -7, ListUpperRoman = -8, ListStyleUndefined = 0 }
## Public Member Functions
| QTextListFormat ()
bool | isValid () const
void | setStyle (Style style)
Style | style () const
void | setIndent (int indent)
int | indent () const
## Protected Member Functions
| QTextListFormat (const QTextFormat &fmt)
## Friends
class | QTextFormat

## Member Enumeration Documentation

enum Style

Search for all occurrences

Enumerator:

  ListDisc | Search for all occurrences
  ListCircle | Search for all occurrences
  ListSquare | Search for all occurrences
  ListDecimal | Search for all occurrences
  ListLowerAlpha | Search for all occurrences
  ListUpperAlpha | Search for all occurrences
  ListLowerRoman | Search for all occurrences
  ListUpperRoman | Search for all occurrences
  ListStyleUndefined | Search for all occurrences

Definition at line 600 of file qtextformat.h.

                   {
            ListDisc = -1,
            ListCircle = -2,
            ListSquare = -3,
            ListDecimal = -4,
            ListLowerAlpha = -5,
            ListUpperAlpha = -6,
            ListLowerRoman = -7,
            ListUpperRoman = -8,
            ListStyleUndefined = 0
        };

## Constructor & Destructor Documentation

QTextListFormat | ( |  | ) |

QTextListFormat | ( | const QTextFormat & | fmt | ) | `[explicit, protected]`

## Member Function Documentation

bool isValid | ( |  | ) | const `[inline]`

Search for all occurrences

Reimplemented from QTextFormat.

Definition at line 598 of file qtextformat.h.

    { return isListFormat(); }

void setStyle | ( | Style | style | ) | `[inline]`

Search for all occurrences

Definition at line 625 of file qtextformat.h.

    { setProperty(ListStyle, astyle); }

Style style | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 613 of file qtextformat.h.

        { return static_cast<Style>(intProperty(ListStyle)); }

void setIndent | ( | int | indent | ) | `[inline]`

Search for all occurrences

Definition at line 628 of file qtextformat.h.

    { setProperty(ListIndent, aindent); }

int indent | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 617 of file qtextformat.h.

        { return intProperty(ListIndent); }

## Friends And Related Function Documentation

friend class QTextFormat `[friend]`

Search for all occurrences

Definition at line 622 of file qtextformat.h.

The documentation for this class was generated from the following file:

- QtGui/qtextformat.h

QTextListFormat QTextListFormat QTextListFormat QTextListFormat QTextListFormat QTextListFormat QTextListFormat QTextListFormat QTextListFormat QTextListFormat
QTextListFormat QTextListFormat QTextListFormat QTextListFormat QTextListFormat QTextListFormat QTextListFormat QTextListFormat QTextListFormat QTextListFormat